# Generated by Django 4.1.3 on 2022-11-28 13:57

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('place_app', '0009_alter_place_deposit'),
        ('discussion_app', '0007_discussion_is_active'),
    ]

    operations = [
        migrations.CreateModel(
            name='Reservation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('avaliable_seats_amount', models.IntegerField(verbose_name='Avaliable seats amount')),
                ('time_until_the_end', models.TimeField()),
                ('discussion', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reservation', to='discussion_app.discussion', verbose_name='Location')),
                ('location', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reservation', to='place_app.place', verbose_name='Location')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
